=== debian/changelog ===
ros-indigo-rqt-image-view (0.4.9-0trusty) trusty; urgency=high

  * reduce the size of the image border on the left and right side (#5 <https://github.com/ros-visualization/rqt_image_view/issues/5>)
  * avoid shrinking the image when the aspect ratio changes (#4 <https://github.com/ros-visualization/rqt_image_view/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-indigo-rqt-image-view (0.4.8-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-indigo-rqt-image-view (0.4.7-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-indigo-rqt-image-view (0.4.6-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-indigo-rqt-image-view (0.4.5-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-indigo-rqt-image-view (0.4.4-0trusty) trusty; urgency=high

  * add checkbox for optional smooth image scaling (#385 <https://github.com/ros-visualization/rqt_common_plugins/issues/385>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-indigo-rqt-image-view (0.4.3-0trusty) trusty; urgency=high

  * generate UI headers in devel space to avoid CMake warning (#401 <https://github.com/ros-visualization/rqt_common_plugins/pull/401>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-indigo-rqt-image-view (0.4.2-0trusty) trusty; urgency=high

  * select existing topic (#391 <https://github.com/ros-visualization/rqt_common_plugins/pull/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-indigo-rqt-image-view (0.4.1-0trusty) trusty; urgency=high

  * add the possibility to publish mouse events (#368 <https://github.com/ros-visualization/rqt_common_plugins/issues/368>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-indigo-rqt-image-view (0.4.0-0trusty) trusty; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.13-0trusty) trusty; urgency=high

  * use proper icon for images
  * add optional topic argument to rqt_image_view
  * fix width of save-as-image button
  * Contributors: Dirk Thomas, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-indigo-rqt-image-view (0.3.12-0trusty) trusty; urgency=high

  * Added button to save current image to file
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.11-0trusty) trusty; urgency=high

  * fix image shrinking problem (#291 <https://github.com/ros-visualization/rqt_common_plugins/issues/291>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.10-0trusty) trusty; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.9-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.8-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.7-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.6-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.5-0trusty) trusty; urgency=high

  * list image transport topics if parent image topic is not available (#215 <https://github.com/ros-visualization/rqt_common_plugins/issues/215>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.4-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-indigo-rqt-image-view (0.3.3-0trusty) trusty; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * properly handle aligned images
  * wrap cv calls in try-catch-block (#201 <https://github.com/ros-visualization/rqt_common_plugins/issues/201>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-indigo-rqt-image-view (0.3.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.1-0trusty) trusty; urgency=high

  * fix event handling for rqt_image_view enabling to run multiple instances simultaneously (#66 <https://github.com/ros-visualization/rqt_common_plugins/issues/66>)
  * add rqt_image_view to global bin (#168 <https://github.com/ros-visualization/rqt_common_plugins/issues/168>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-indigo-rqt-image-view (0.3.0-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-indigo-rqt-image-view (0.2.17-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 07:00:00 -0000

ros-indigo-rqt-image-view (0.2.16-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 20:33:00 -0000

ros-indigo-rqt-image-view (0.2.15-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 07:02:00 -0000

ros-indigo-rqt-image-view (0.2.14-0trusty) trusty; urgency=high




