=== debian/control ===
Source: ros-indigo-rqt-image-view
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/rqt_image_view
Standards-Version: 3.9.2

Package: ros-indigo-rqt-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-sensor-msgs
Description: rqt_image_view provides a GUI plugin for displaying images using image_transport.
